Module tdlight.api
Package it.tdlight.jni

# Class TdApi.EditForumTopic

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.EditForumTopic

Enclosing class:
  TdApi

public static final class TdApi.EditForumTopic extends TdApi.Function<TdApi.Ok>
Edits title and icon of a topic in a forum supergroup chat; requires canManageTopics right in the supergroup unless the user is creator of the topic.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`editIconCustomEmoji`
Pass true to edit the icon of the topic.
`long`
`iconCustomEmojiId`
Identifier of the new custom emoji for topic icon; pass 0 to remove the custom emoji.
`long`
`messageThreadId`
Message thread identifier of the forum topic.
`String`
`name`
New name of the topic; 0-128 characters.

## Constructor Summary

Constructors
Constructor
Description
`EditForumTopic()`
Edits title and icon of a topic in a forum supergroup chat; requires canManageTopics right in the supergroup unless the user is creator of the topic.
`EditForumTopic(long chatId, long messageThreadId, String name, boolean editIconCustomEmoji, long iconCustomEmojiId)`
Edits title and icon of a topic in a forum supergroup chat; requires canManageTopics right in the supergroup unless the user is creator of the topic.
`EditForumTopic(DataInput input)`
Edits title and icon of a topic in a forum supergroup chat; requires canManageTopics right in the supergroup unless the user is creator of the topic.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat.

### messageThreadId

public long messageThreadId
Message thread identifier of the forum topic.

### name

public String name
New name of the topic; 0-128 characters. If empty, the previous topic name is kept.

### editIconCustomEmoji

public boolean editIconCustomEmoji
Pass true to edit the icon of the topic. Icon of the General topic can't be edited.

### iconCustomEmojiId

public long iconCustomEmojiId
Identifier of the new custom emoji for topic icon; pass 0 to remove the custom emoji. Ignored if editIconCustomEmoji is false. Telegram Premium users can use any custom emoji, other users can use only a custom emoji returned by getForumTopicDefaultIcons.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### EditForumTopic

public EditForumTopic()
Edits title and icon of a topic in a forum supergroup chat; requires canManageTopics right in the supergroup unless the user is creator of the topic.

Returns `Ok`

### EditForumTopic

public EditForumTopic(long chatId, long messageThreadId, String name, boolean editIconCustomEmoji, long iconCustomEmojiId)
Edits title and icon of a topic in a forum supergroup chat; requires canManageTopics right in the supergroup unless the user is creator of the topic.

Returns `Ok`

Parameters:
  `chatId` - Identifier of the chat.
  `messageThreadId` - Message thread identifier of the forum topic.
  `name` - New name of the topic; 0-128 characters. If empty, the previous topic name is kept.
  `editIconCustomEmoji` - Pass true to edit the icon of the topic. Icon of the General topic can't be edited.
  `iconCustomEmojiId` - Identifier of the new custom emoji for topic icon; pass 0 to remove the custom emoji. Ignored if editIconCustomEmoji is false. Telegram Premium users can use any custom emoji, other users can use only a custom emoji returned by getForumTopicDefaultIcons.

  Returns `Ok`

### EditForumTopic

public EditForumTopic(DataInput input) throws IOException
Edits title and icon of a topic in a forum supergroup chat; requires canManageTopics right in the supergroup unless the user is creator of the topic.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`